[
    {
        "type": "enum",
        "namespace": "py.java.test",
        "name": "AddressType",
        "doc": "Billing or Mailing address",
        "symbols": ["BILLING", "MAILING"]
    },
    {
        "type": "record",
        "namespace": "py.java.test",
        "name": "Address",
        "fields": [
            {
                "name": "street1",
                "type": "string"
            },
            {
                "name": "street2",
                "type": ["null", "string"],
                "default": null
            },
            {
                "name": "city",
                "type": "string"
            },
            {
                "name": "state",
                "type": "string"
            },
            {
                "name": "zip",
                "type": "string"
            },
            {
                "name": "addressType",
                "type": "AddressType"
            }
        ]
    },
    {
        "type": "record",
        "namespace": "py.java.test",
        "name": "User",
        "fields": [
            {
                "name": "customerId",
                "type": "string"
            },
            {
                "name": "email",
                "type": "string"
            },
            {
                "name": "firstName",
                "type": "string"
            },
            {
                "name": "lastName",
                "type": "string"
            },
            {
                "name": "addressList",
                "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Address"
                        }
                    ],
               "default": null
            },
            {
            	"name": "alerts",
            	"type": {"type": "map", "values": "string", "default": {}}
            },
            {
                "name": "aFixedField",
                "type": [   
                            "null",
                            {
                                "type": "fixed", 
                                "size": 16,
                                "name": "md5"
                            }
                        ],
                "default": null
            }
        ]      
    },
    {
        "type": "record",
        "namespace": "py.java.test",
        "name": "Item",
        "fields": [
            {
                "name": "sku",
                "type": "string"
            },
            {
                "name": "quantity",
                "type": "int",
                "default": 0
            },
            {
                "name": "price",
                "type": "double",
                "default": 0.0
            }
        ]
    },
    {
        "type": "record",
        "namespace": "py.java.test",
        "name": "Order",
        "fields": [
            {
                "name": "recipient",
                "type": "User"
            },
            {
                "name": "items",
                "type": {
                	"type": "array",
                	"items": "Item"}
            }
        ]
    }
]
